import { EventEmitter } from '@angular/core';
import { PopoutListService } from './popoutList.service';
export declare class PopoutItemComponent<T> {
    trigger: EventEmitter<void>;
    list: PopoutListService<T>;
    constructor(list: PopoutListService<T>);
    readonly focused: boolean;
    focus(): void;
    blur(): void;
    select(): void;
}
